---
title: Gamepad.timestamp
slug: Web/API/Gamepad/timestamp
tags:
  - API
  - Gamepad API
  - Games
  - NeedsBetterSpecLink
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{APIRef("Gamepad API")}}</div>

<p>The <strong><code>Gamepad.timestamp</code></strong> property of the {{domxref("Gamepad")}} interface returns a {{domxref("DOMHighResTimeStamp")}} representing the last time the data for this gamepad was updated.</p>

<p>The idea behind this is to allow developers to determine if the <code>axes</code> and <code>button</code> data have been updated from the hardware. The value must be relative to the <code>navigationStart</code> attribute of the <code>{{domxref("PerformanceTiming")}}</code> interface. Values are monotonically increasing, meaning that they can be compared to determine the ordering of updates, as newer values will always be greater than or equal to older values.</p>

<div class="note">
<p><strong>Note</strong>: This property is not currently supported anywhere.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface" id="idl-def-Gamepad"><span class="idlAttribute">readonly    attribute <span class="idlAttrType">DOMHighResTimeStamp</span> <span class="idlAttrName">timestamp</span>;</span></span></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var gp = navigator.getGamepads()[0];
console.log(gp.timestamp);</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("DOMHighResTimeStamp")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("Gamepad", "#dom-gamepad-timestamp", "Gamepad.timestamp")}}</td>
			<td>{{Spec2("Gamepad")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.timestamp")}}</p>

<h2 id="See_also">See also</h2>

<p><a href="/en-US/docs/Web/Guide/API/Gamepad">Using the Gamepad API</a></p>
